"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteQueryNode = void 0;
const object_utils_js_1 = require("../util/object-utils.js");
const from_node_js_1 = require("./from-node.js");
const order_by_node_js_1 = require("./order-by-node.js");
/**
 * @internal
 */
exports.DeleteQueryNode = (0, object_utils_js_1.freeze)({
    is(node) {
        return node.kind === 'DeleteQueryNode';
    },
    create(fromItem, withNode) {
        return (0, object_utils_js_1.freeze)({
            kind: 'DeleteQueryNode',
            from: from_node_js_1.FromNode.create([fromItem]),
            ...(withNode && { with: withNode }),
        });
    },
    cloneWithOrderByItem(deleteNode, item) {
        return (0, object_utils_js_1.freeze)({
            ...deleteNode,
            orderBy: deleteNode.orderBy
                ? order_by_node_js_1.OrderByNode.cloneWithItem(deleteNode.orderBy, item)
                : order_by_node_js_1.OrderByNode.create(item),
        });
    },
    cloneWithLimit(deleteNode, limit) {
        return (0, object_utils_js_1.freeze)({
            ...deleteNode,
            limit,
        });
    },
});
